Last Comment Bug 839371 - Implement HTML5 <data> element
: Implement HTML5 <data> element
Status: VERIFIED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla22
Assigned To: David Humphrey (:humph)
:
Mentors:
http://www.whatwg.org/specs/web-apps/...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 20:01 PST by David Humphrey (:humph)
Modified: 2013-08-03 13:20 PDT (History)
8 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
22+


Attachments
v1 (15.56 KB, patch)
2013-02-25 14:45 PST, David Humphrey (:humph)
bugs: review+
Details | Diff | Splinter Review
v2 (r=smaug) (11.89 KB, patch)
2013-02-26 09:34 PST, David Humphrey (:humph)
no flags Details | Diff | Splinter Review

Description David Humphrey (:humph) 2013-02-07 20:01:29 PST
Related to the <time> element from bug 629801, "The data element represents its contents, along with a machine-readable form of those contents in the value attribute."

interface HTMLDataElement : HTMLElement {
           attribute DOMString value;
};

Is it OK to do this one now too, or should we wait? (spec doc says, "Experimental draft").  If 'yes' I'll do it now as I finish up <time>.  I think both are going to be pretty useful.
Comment 1 Olli Pettay [:smaug] (way behind * queues, especially ni? queue) 2013-02-08 02:12:13 PST
Henri, you might know the answer. How stable is the spec?
Comment 2 Hixie (not reading bugmail) 2013-02-09 14:51:53 PST
I'm not aware of any relevant implementation-affecting outstanding feedback for <data>, for what it's worth.
Comment 3 David Humphrey (:humph) 2013-02-25 14:45:53 PST
Created attachment 718095 [details] [diff] [review]
v1
Comment 4 Olli Pettay [:smaug] (way behind * queues, especially ni? queue) 2013-02-26 05:35:32 PST
Comment on attachment 718095 [details] [diff] [review]
v1


>+JSObject*
>+HTMLDataElement::WrapNode(JSContext* cx, JSObject* scope, bool* triedToWrap)
aCx, aScope, aTriedToWrap
Comment 5 David Humphrey (:humph) 2013-02-26 09:34:29 PST
Created attachment 718489 [details] [diff] [review]
v2 (r=smaug)

I've fixed that nit, thanks for the quick review.

Do you want anyone else to look at this, or can it land?
Comment 6 Olli Pettay [:smaug] (way behind * queues, especially ni? queue) 2013-02-26 10:20:20 PST
I think this should be fine.
Comment 7 Ryan VanderMeulen [:RyanVM] 2013-02-26 12:20:01 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/4d3e8e7ee977
Comment 8 Ed Morley [:emorley] 2013-02-27 05:46:58 PST
https://hg.mozilla.org/mozilla-central/rev/4d3e8e7ee977
Comment 9 Mihaela Velimiroviciu (:mihaelav) 2013-04-04 04:50:12 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:22.0) Gecko/20130403 Firefox/22.0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20130403 Firefox/22.0
Mozilla/5.0 (X11; Linux i686; rv:22.0) Gecko/20130402 Firefox/22.0
BuildID: 20130402004013

I also performed some testing around this element on latest Firefox 22 Aurora builds across main platforms and there were no related visual issues or errors on pages using the <data> tag.
Based on this and the fact that there is a test page for this element, I'm marking the bug Verified.
Comment 10 Alex Keybl [:akeybl] 2013-04-05 11:59:26 PDT
This bug has been listed as part of the Aurora 22 release notes in either [1], [2], or both. If you find any of the information or wording incorrect in the notes, please email release-mgmt@mozilla.com asap. Thanks!

[1] https://www.mozilla.org/en-US/firefox/22.0a2/auroranotes/
[2] https://www.mozilla.org/en-US/mobile/22.0a2/auroranotes/

Note You need to log in before you can comment on or make changes to this bug.